Bug 222385 - fix open(2) flags parser
fix open(2) flags parser
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: strace (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Roland McGrath
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-11 18:00 EST by Dmitry V. Levin
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 4.5.15-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-16 22:05:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
openmodes.c (244 bytes, text/plain)
2007-01-11 18:00 EST, Dmitry V. Levin
no flags Details
strace-alt-open.diff (6.47 KB, patch)
2007-01-11 18:09 EST, Dmitry V. Levin
no flags Details | Diff

  None (edit)
Description Dmitry V. Levin 2007-01-11 18:00:48 EST
Current open(2) flags parser fails to decode O_ACCMODE properly.

Reproducer: strace -e trace=open,fcntl,fcntl64 ./openmodes
Comment 1 Dmitry V. Levin 2007-01-11 18:00:48 EST
Created attachment 145407 [details]
openmodes.c
Comment 2 Dmitry V. Levin 2007-01-11 18:09:21 EST
Created attachment 145408 [details]
strace-alt-open.diff

Proposed fix.
Comment 3 Roland McGrath 2007-01-11 18:13:20 EST
go ahead and commit that upstream
Comment 4 Roland McGrath 2007-01-16 22:05:47 EST
4.5.15 in rawhide and in updates for fc5 and fc6 fixes this.

Note You need to log in before you can comment on or make changes to this bug.